<?php
/**
 * Customize the output of menus
 *
 * @package arcHIVE-theme
 * @since arcHIVE-theme 1.0.0
 */

/**
 * Big thanks to Brett Mason (https://github.com/brettsmason) for the awesome walker
 */

/**
 * Customize the output of menus for Foundation mobile walker
 */

//if ( ! class_exists( 'Foundationpress_Mobile_Walker' ) ) :
//	class Foundationpress_Mobile_Walker extends Walker_Nav_Menu {
//		function start_lvl( &$output, $depth = 0, $args = array() ) {
//			$indent  = str_repeat( "\t", $depth );
//			$output .= "\n$indent<ul class=\"vertical nested menu\">\n";
//		}
//	}
//endif;

/**
 * Customize the output of menus for Foundation top bar
 */

if ( ! class_exists( 'Foundationpress_Top_Bar_Walker' ) ) :
	class Foundationpress_Top_Bar_Walker extends Walker_Nav_Menu {
		function start_lvl( &$output, $depth = 0, $args = array() ) {
			$indent  = str_repeat( "\t", $depth );
			$output .= "\n$indent<ul class=\"dropdown menu vertical\" data-toggle>\n";
		}
	}
endif;
/**
 * Customize the output of menus for Home Hero bottom bar
 */

if ( ! class_exists( 'Foundationpress_Home_Hero_Bar_Walker' ) ) :
	class Foundationpress_Home_Hero_Bar_Walker extends Walker_Nav_Menu {
		function start_lvl( &$output, $depth = 0, $args = array() ) {
			$indent  = str_repeat( "\t", $depth );
			$output .= "\n$indent<ul class=\"menu\">\n";
		}
	}
endif;

/**
 * Customize the output of menus for Home Hero middle bottom bar
 */
if ( ! class_exists( 'Foundationpress_Home_Hero_Middle_Bar_Walker' ) ) :
	class Foundationpress_Home_Hero_Middle_Bar_Walker extends Walker_Nav_Menu {
		function start_lvl( &$output, $depth = 0, $args = array() ) {
			$indent  = str_repeat( "\t", $depth );
			$output .= "\n$indent<ul class=\"menu\">\n";
		}
	}
endif;

/**
 * Customize the output of menus for Home Hero Last bottom bar
 */
if ( ! class_exists( 'Foundationpress_Home_Hero_Last_Bar_Walker' ) ) :
	class Foundationpress_Home_Hero_Last_Bar_Walker extends Walker_Nav_Menu {
		function start_lvl( &$output, $depth = 0, $args = array() ) {
			$indent  = str_repeat( "\t", $depth );
			$output .= "\n$indent<ul class=\"menu\">\n";
		}
	}
endif;
